Reorder Sync datatype options to match marketing
We introduce the concept of Sync by repeatedly referring to it as the ability to access your "tabs, bookmarks and password" in many places. Our options should reflect this order during "Choose what to sync" and later in Preferences.

Proposed:


Proposed:

